/*******************************************************************************
* File Name: fromCPLD.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_fromCPLD_H) /* Pins fromCPLD_H */
#define CY_PINS_fromCPLD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "fromCPLD_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    fromCPLD_Write(uint8 value) ;
void    fromCPLD_SetDriveMode(uint8 mode) ;
uint8   fromCPLD_ReadDataReg(void) ;
uint8   fromCPLD_Read(void) ;
uint8   fromCPLD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define fromCPLD_DRIVE_MODE_BITS        (3)
#define fromCPLD_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - fromCPLD_DRIVE_MODE_BITS))

#define fromCPLD_DM_ALG_HIZ         (0x00u)
#define fromCPLD_DM_DIG_HIZ         (0x01u)
#define fromCPLD_DM_RES_UP          (0x02u)
#define fromCPLD_DM_RES_DWN         (0x03u)
#define fromCPLD_DM_OD_LO           (0x04u)
#define fromCPLD_DM_OD_HI           (0x05u)
#define fromCPLD_DM_STRONG          (0x06u)
#define fromCPLD_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define fromCPLD_MASK               fromCPLD__MASK
#define fromCPLD_SHIFT              fromCPLD__SHIFT
#define fromCPLD_WIDTH              2u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define fromCPLD_PS                     (* (reg32 *) fromCPLD__PS)
/* Port Configuration */
#define fromCPLD_PC                     (* (reg32 *) fromCPLD__PC)
/* Data Register */
#define fromCPLD_DR                     (* (reg32 *) fromCPLD__DR)
/* Input Buffer Disable Override */
#define fromCPLD_INP_DIS                (* (reg32 *) fromCPLD__PC2)


#if defined(fromCPLD__INTSTAT)  /* Interrupt Registers */

    #define fromCPLD_INTSTAT                (* (reg32 *) fromCPLD__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define fromCPLD_DRIVE_MODE_SHIFT       (0x00u)
#define fromCPLD_DRIVE_MODE_MASK        (0x07u << fromCPLD_DRIVE_MODE_SHIFT)


#endif /* End Pins fromCPLD_H */


/* [] END OF FILE */
