/*******************************************************************************
* File Name: toCPLD.h  
* Version 2.10
*
* Description:
*  This file containts Control Register function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_toCPLD_H) /* Pins toCPLD_H */
#define CY_PINS_toCPLD_H

#include "cytypes.h"
#include "cyfitter.h"
#include "toCPLD_aliases.h"


/***************************************
*        Function Prototypes             
***************************************/    

void    toCPLD_Write(uint8 value) ;
void    toCPLD_SetDriveMode(uint8 mode) ;
uint8   toCPLD_ReadDataReg(void) ;
uint8   toCPLD_Read(void) ;
uint8   toCPLD_ClearInterrupt(void) ;


/***************************************
*           API Constants        
***************************************/

/* Drive Modes */
#define toCPLD_DRIVE_MODE_BITS        (3)
#define toCPLD_DRIVE_MODE_IND_MASK    (0xFFFFFFFFu >> (32 - toCPLD_DRIVE_MODE_BITS))

#define toCPLD_DM_ALG_HIZ         (0x00u)
#define toCPLD_DM_DIG_HIZ         (0x01u)
#define toCPLD_DM_RES_UP          (0x02u)
#define toCPLD_DM_RES_DWN         (0x03u)
#define toCPLD_DM_OD_LO           (0x04u)
#define toCPLD_DM_OD_HI           (0x05u)
#define toCPLD_DM_STRONG          (0x06u)
#define toCPLD_DM_RES_UPDWN       (0x07u)

/* Digital Port Constants */
#define toCPLD_MASK               toCPLD__MASK
#define toCPLD_SHIFT              toCPLD__SHIFT
#define toCPLD_WIDTH              5u


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define toCPLD_PS                     (* (reg32 *) toCPLD__PS)
/* Port Configuration */
#define toCPLD_PC                     (* (reg32 *) toCPLD__PC)
/* Data Register */
#define toCPLD_DR                     (* (reg32 *) toCPLD__DR)
/* Input Buffer Disable Override */
#define toCPLD_INP_DIS                (* (reg32 *) toCPLD__PC2)


#if defined(toCPLD__INTSTAT)  /* Interrupt Registers */

    #define toCPLD_INTSTAT                (* (reg32 *) toCPLD__INTSTAT)

#endif /* Interrupt Registers */


/***************************************
* The following code is DEPRECATED and 
* must not be used.
***************************************/

#define toCPLD_DRIVE_MODE_SHIFT       (0x00u)
#define toCPLD_DRIVE_MODE_MASK        (0x07u << toCPLD_DRIVE_MODE_SHIFT)


#endif /* End Pins toCPLD_H */


/* [] END OF FILE */
