/*******************************************************************************
* File Name: toCPLD.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_toCPLD_ALIASES_H) /* Pins toCPLD_ALIASES_H */
#define CY_PINS_toCPLD_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define toCPLD_0		(toCPLD__0__PC)
#define toCPLD_0_PS		(toCPLD__0__PS)
#define toCPLD_0_PC		(toCPLD__0__PC)
#define toCPLD_0_DR		(toCPLD__0__DR)
#define toCPLD_0_SHIFT	(toCPLD__0__SHIFT)

#define toCPLD_1		(toCPLD__1__PC)
#define toCPLD_1_PS		(toCPLD__1__PS)
#define toCPLD_1_PC		(toCPLD__1__PC)
#define toCPLD_1_DR		(toCPLD__1__DR)
#define toCPLD_1_SHIFT	(toCPLD__1__SHIFT)

#define toCPLD_2		(toCPLD__2__PC)
#define toCPLD_2_PS		(toCPLD__2__PS)
#define toCPLD_2_PC		(toCPLD__2__PC)
#define toCPLD_2_DR		(toCPLD__2__DR)
#define toCPLD_2_SHIFT	(toCPLD__2__SHIFT)

#define toCPLD_3		(toCPLD__3__PC)
#define toCPLD_3_PS		(toCPLD__3__PS)
#define toCPLD_3_PC		(toCPLD__3__PC)
#define toCPLD_3_DR		(toCPLD__3__DR)
#define toCPLD_3_SHIFT	(toCPLD__3__SHIFT)

#define toCPLD_4		(toCPLD__4__PC)
#define toCPLD_4_PS		(toCPLD__4__PS)
#define toCPLD_4_PC		(toCPLD__4__PC)
#define toCPLD_4_DR		(toCPLD__4__DR)
#define toCPLD_4_SHIFT	(toCPLD__4__SHIFT)


#define toCPLD_ARM_start		(toCPLD__ARM_start__PC)
#define toCPLD_ARM_start_PS		(toCPLD__ARM_start__PS)
#define toCPLD_ARM_start_PC		(toCPLD__ARM_start__PC)
#define toCPLD_ARM_start_DR		(toCPLD__ARM_start__DR)
#define toCPLD_ARM_start_SHIFT	(toCPLD__ARM_start__SHIFT)

#define toCPLD_ARM_stop		(toCPLD__ARM_stop__PC)
#define toCPLD_ARM_stop_PS		(toCPLD__ARM_stop__PS)
#define toCPLD_ARM_stop_PC		(toCPLD__ARM_stop__PC)
#define toCPLD_ARM_stop_DR		(toCPLD__ARM_stop__DR)
#define toCPLD_ARM_stop_SHIFT	(toCPLD__ARM_stop__SHIFT)

#define toCPLD_ARM_done_recived		(toCPLD__ARM_done_recived__PC)
#define toCPLD_ARM_done_recived_PS		(toCPLD__ARM_done_recived__PS)
#define toCPLD_ARM_done_recived_PC		(toCPLD__ARM_done_recived__PC)
#define toCPLD_ARM_done_recived_DR		(toCPLD__ARM_done_recived__DR)
#define toCPLD_ARM_done_recived_SHIFT	(toCPLD__ARM_done_recived__SHIFT)

#define toCPLD_ARM_requst_recieved		(toCPLD__ARM_requst_recieved__PC)
#define toCPLD_ARM_requst_recieved_PS		(toCPLD__ARM_requst_recieved__PS)
#define toCPLD_ARM_requst_recieved_PC		(toCPLD__ARM_requst_recieved__PC)
#define toCPLD_ARM_requst_recieved_DR		(toCPLD__ARM_requst_recieved__DR)
#define toCPLD_ARM_requst_recieved_SHIFT	(toCPLD__ARM_requst_recieved__SHIFT)

#define toCPLD_ARM_do_dma		(toCPLD__ARM_do_dma__PC)
#define toCPLD_ARM_do_dma_PS		(toCPLD__ARM_do_dma__PS)
#define toCPLD_ARM_do_dma_PC		(toCPLD__ARM_do_dma__PC)
#define toCPLD_ARM_do_dma_DR		(toCPLD__ARM_do_dma__DR)
#define toCPLD_ARM_do_dma_SHIFT	(toCPLD__ARM_do_dma__SHIFT)


#endif /* End Pins toCPLD_ALIASES_H */


/* [] END OF FILE */
